document.querySelector("#sendCodeSmsBtn").addEventListener('tap', function(e) {
	if (this.classList.contains("mui-disabled")) {
		return false;
	}
	showWaiting();

	var phone = document.getElementById("phone").value;
	if (!(/^1[3456789]\d{9}$/.test(phone))) {
		mui.toast("手机号码有误");
		closeWaiting();
		return false;
	}
	var codetype = this.getAttribute("codetype");

	var info = {};
	info.action = "sendcode";
	info.ctrl = "app";
	info.type = codetype;
	info.phone = document.getElementById("phone").value;
	info.uuid = plus.device.uuid;
	

	app.api(info, function(data) {
		closeWaiting();
		if (data.error == false) {
			//发送成功
			plus.nativeUI.toast("验证码发送成功");
			document.getElementById("sendCodeSmsBtn").classList.add("mui-disabled");
			window.codet = data.msg;
			document.getElementById("sendCodeSmsBtn").innerHTML = "重发(" + window.codet + ")";
			window.codeInterval = setInterval(function() {
				--window.codet;
				if (window.codet == 0) {
					document.getElementById("sendCodeSmsBtn").innerHTML = "发送验证码";
					document.getElementById("sendCodeSmsBtn").classList.remove("mui-disabled");
					clearInterval(window.codeInterval);
				} else {
					document.getElementById("sendCodeSmsBtn").innerHTML = "重发(" + window.codet + ")";
				}
			}, 1000);
		}
	});
});
