function initPush() {
	// 监听在线消息事件
	plus.push.addEventListener("receive", function(msg) {
		switch( msg.payload ) {
			case "LocalMSG":
				console.log( "点击本地创建消息启动" );
			break;
			default:
				createBadge();
				createLocalPushMsg(msg);
				var mainPage = plus.webview.getWebviewById("main");
				mui.fire(mainPage, 'message', {});
				if (plus.os.name == 'Android') {
					mui.toast(msg.content);
				}
			break;
		}
	}, false);
	plus.push.addEventListener( "click", function( msg ) {
		// 判断是从本地创建还是离线推送的消息
		setTimeout(function() {
			mui.openWindow({
				url:"message.html",
				id:"message"
			});
		}, 1000);
		clearMsg();
	}, false );
}
function createBadge() {
	//设置角标
	var total_number = localStorage.getItem("badge_total_number");
	if (!total_number) total_number = 0;
	total_number = parseInt(total_number); // 字符串转数字
	total_number++;
	localStorage.setItem("badge_total_number", total_number.toString());
	// 设置APP图标的角标
	console.log(total_number);
	plus.runtime.setBadgeNumber(total_number);
}
function clearMsg() {
	localStorage.setItem("badge_total_number", "");
	plus.runtime.setBadgeNumber(0);
	plus.push.clear(); 
}
function createLocalPushMsg(msg) {
	var options = {
		cover: false
	};
	plus.push.createMessage(msg.content, "LocalMSG", options);
}