function initUpdate() {
	var pushinfo = plus.push.getClientInfo();
	mui.getJSON(web_url + "/api/api.asp?action=checkversion&clientid=" + pushinfo.clientid, function(data) {
		if (data.error) {
			plus.nativeUI.toast(data.msg);
			return;
		}
		if (data.api_url){
			if (data.api_url.indexOf("http")>=0){
				api_url = data.api_url;
			} else {
				api_url = "http://"+data.api_url;
			}
			localStorage.setItem("api_url",api_url);
		}
		localStorage.setItem("wxlogin",data.wxlogin);
		localStorage.setItem("applelogin",data.applelogin);
		var appvison = data.version;
		var appstatus = data.status;
		var appdownload = data.url;
		var iosdownload = 'https://itunes.apple.com/cn/app/羽毛球裁判员/id1329296046?l=zh&ls=1&mt=8'
		if (compareVersion(plus.runtime.version, appvison)) {
			if (appstatus == "0") {
				plus.nativeUI.confirm("发现新版本，确定更新吗？", function(event) {
					if (0 == event.index) {
						if (!mui.os.android) {
							location.href = iosdownload;
						} else {
							plus.runtime.openURL(appdownload);
						}
						//downWgt(appdownload);
					}
				}, "更新提示", ["确定", "取消"]);
			} else if (appstatus == "1") {
				plus.nativeUI.confirm("发现新版本，请务必更新！", function(event) {
					if (0 == event.index) {
						if (!mui.os.android) {
							location.href = iosdownload;
						} else {
							plus.runtime.openURL(appdownload);
						}
					}
				}, "更新提示", ["确定"]);
			} else {
				if (!mui.os.android) {
					location.href = iosdownload;
				} else {
					downWgt(appdownload);
				}
			}
		}
	});
}
// 下载wgt文件
function downWgt(wgtUrl) {
	plus.nativeUI.showWaiting("下载wgt文件...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if (status == 200) {
			console.log("下载wgt成功：" + d.filename);
			installWgt(d.filename); // 安装wgt包
		} else {
			console.log("下载wgt失败！");
			plus.nativeUI.alert("下载wgt失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}
// 更新应用资源
function installWgt(path) {
	plus.nativeUI.showWaiting("安装wgt文件...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件成功！");
		plus.nativeUI.alert("应用资源更新完成！", function() {
			plus.runtime.restart();
		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
		plus.nativeUI.alert("安装wgt文件失败[" + e.code + "]：" + e.message);
	});
}

function compareVersion(ov, nv) {
	if (!ov || !nv || ov == "" || nv == "") {
		return false;
	}
	var b = false,
		ova = ov.split(".", 4),
		nva = nv.split(".", 4);
	for (var i = 0; i < ova.length && i < nva.length; i++) {
		var so = ova[i],
			no = parseInt(so),
			sn = nva[i],
			nn = parseInt(sn);
		if (nn > no || sn.length > so.length) {
			return true;
		} else if (nn < no) {
			return false;
		}
	}
	if (nva.length > ova.length && 0 == nv.indexOf(ov)) {
		return true;
	}
}